Bug 508288 - libicu-devel multilib conflicts
libicu-devel multilib conflicts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: icu (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 08:49 EDT by Rex Dieter
Modified: 2009-09-04 00:02 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.0.1-5.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-04 00:02:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2009-06-26 08:49:36 EDT
yum install libicu-devel.x86_64 libicu-devel.i586
...
Transaction Check Error:
  file /usr/share/icu/4.0.1/Makefile.inc from install of libicu-devel-4.0.1-4.fc11.i586 conflicts with file from package libicu-devel-4.0.1-4.fc11.x86_64
Comment 1 Caolan McNamara 2009-06-26 09:44:47 EDT
indeed. The Makefile.inc has grown arch-dependent info. Should move it into an arch-dependent dir.

The replacement arch-independent icu-config which backs onto pkgconfig should spit out the right location for Makefile.inc if asked for it depending on pkgconfig mode.
Comment 2 Caolan McNamara 2009-06-27 08:57:33 EDT
lets see if this works...
Comment 3 Fedora Update System 2009-06-27 08:58:11 EDT
icu-4.0.1-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/icu-4.0.1-5.fc11
Comment 4 Fedora Update System 2009-06-30 17:32:28 EDT
icu-4.0.1-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update icu'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7126
Comment 5 Fedora Update System 2009-09-04 00:02:03 EDT
icu-4.0.1-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.